Skip to main content
GET
List Agents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search
string | null

Case-insensitive match on name and description.

include_archived
boolean
default:false
publication_state
enum<string>
default:all

live = has a published version; draft = never published.

Available options:
all,
live,
draft
cursor
string | null
page
integer | null

1-based page number (offset pagination). Returns total; mutually exclusive with cursor.

Required range: x >= 1
include_total
boolean
default:false

Also count the filtered set on the cursor path.

page_size
integer
default:30
Required range: 1 <= x <= 100

Response

Request fulfilled, document follows

agents
PublicAgentEntity · object[]
required
has_more
boolean
required
next_cursor
string | null
total
integer | null